Contents

# CreateUnoDialog Function

Creates a Basic Uno object that represents a Uno dialog control during Basic runtime.

Dialogs are defined in the dialog libraries. To display a dialog, a "live" dialog must be created from the library.

See Examples.

### Syntax:

CreateUnoDialog( oDlgDesc )

### Return type:

Object

### Parameters:

Name | Type | Description
--- | --- | ---
oDlgDesc | Object | The dialog object stored in a library.

### Example:

      ' Get dialog description from the dialog library
      oDlgDesc = DialogLibraries.Standard.Dialog1
      ' Generate "live" dialog
      oDlgControl = CreateUnoDialog( oDlgDesc )
      ' display "live" dialog
      oDlgControl.execute

Related Topics

UNO Objects, Functions and Services